GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions
google_default_credentials.c File Reference
`#include "src/core/security/credentials.h"`
`#include <string.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/sync.h>`
`#include "src/core/httpcli/httpcli.h"`
`#include "src/core/support/env.h"`
`#include "src/core/support/file.h"`

## Data Structures
struct | compute_engine_detector

## Macros
#define | GRPC_COMPUTE_ENGINE_DETECTION_HOST "metadata.google.internal"

## Functions
grpc_credentials * | grpc_google_default_credentials_create (void)
void | grpc_flush_cached_google_default_credentials (void)

## Macro Definition Documentation

#define GRPC_COMPUTE_ENGINE_DETECTION_HOST "metadata.google.internal"

## Function Documentation

void grpc_flush_cached_google_default_credentials | ( | void |  | ) |

grpc_credentials* grpc_google_default_credentials_create | ( | void |  | ) |